<?
include 'mysql.php';
include_once("inclydings/zag.php");
include_once("inclydings/antixak.php");
include 'inclydings/ini.php';
$_title = '::LinEagE2::';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("inclydings/sesi.php");
if (isset($user)) {

switch($go) {

default:

if($udata[27]!=="fighert"){
echo"К Священнику рассвета могут войти только Воины.";
include_once"inclydings/down.php"; exit;}
echo"<b>История семи печатей</b><br/>
Семь печатей проходят каждую ниделю с Понедельника по Субботу включительно.<br/>";

$file=@file("L2dbnam/esql2db/rassvet.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
echo"<br/><img src='pik4erspic/mini/pe4.png' alt='pic'/> <a href=\"rassvet.php?$sd&go=sdat\">Сдать Beast Bone</a><br/>";
$start="no";
}}if(empty($start)){
echo"<br/><img src='pik4erspic/mini/pe4.png' alt='pic'/> <a href=\"rassvet.php?$sd&go=start\">Участвовать</a><br/>";
}
echo"<img src='pik4erspic/mini/pe4.png' alt='pic'/> <a href=\"rassvet.php?$sd&go=about\">О Семи печатей</a><br/>
<img src='pik4erspic/mini/pe4.png' alt='pic'/> <a href=\"rassvet.php?$sd&go=top\">Участники</a><br/><br/>";
echo"<img src='pik4erspic/mini/pe4.png' alt='pic'/> <a href=\"rassvet.php?$sd&go=obmen\">Обмен древних аден</a><br/>";
echo"<img src='pik4erspic/mini/pe4.png' alt='pic'/> <a href=\"rassvet.php?$sd&go=shops\">Магазин за древние адены</a><br/>";
break;

case 'about':


echo"История семи печатей, это небольшой Конкурс для игроков которые смогут боротся за призовые места. Семь печатей проходят каждую ниделю с Понедельника по Субботу включительно. За это время игроки в окрестностях могут выбивать с монстров Beast Bone,каждую ниделю нужно сдавать Beast Bone, кто насоберает больше всего Beast Bone тот и побидитель.";


break;

case 'start':

$date=date("D");

if($date=="Sun"){echo"Сегодня История семи печатей не проводится. Заходите в понедельник."; include_once"inclydings/down.php"; exit; }


$text="$log||0||";

$fp=fopen("L2dbnam/esql2db/rassvet.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);







echo"<b>Начало Конкурса</b><br/>
Спеши стать лучшим,беги скорее в окрестности и выбивай с монстов Gemstone.У тебя есть время до Суботы,если ты сумеешь набить больше всех Beast Bone Тебе будет вознаграждение";


break;

case 'sdat':
$date=date("D");

if($date=="Sun"){echo"Сегодня История семи печатей не проводится. Заходите в понедельник."; include_once"inclydings/down.php"; exit; }


$file=@file("L2dbnam/esql2db/rassvet.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){

$file2=@file("L2dbnam/esql2db/item/$log.dat");
$total2=count($file2);
for($i2=0; $i2<$total2; $i2++){
$data2=explode(":||:",$file2[$i2]);

if($data2[4]=="Beast Bone"){

$_GLOBAL[kol]=$data2[3];

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);

}}

$koll=$data[1];
$all=$_GLOBAL[kol]+$koll;

$text="$log||$all||";

$fp=fopen("L2dbnam/esql2db/rassvet.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/rassvet.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }}
echo"Вы сдали всего Beast Bone: $all";

break;

case 'top':
echo"<b>Участники семи печатей</b></br></br>";


$file=@file("L2dbnam/esql2db/rassvet.dat");
$total=count($file);
if(@file("L2dbnam/esql2db/rassvet.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{

$data_screen[]='<a href="search.php?nick='.$data_log[$k].'&'.$sd.'&go=go">'.$data_log[$k].'</a><br/>Собрал Beast Bone: '.$data_kol[$k].'<br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<br/>Всего участников: $total";}else{echo"Участников нет.";}
break;

case '1':
if($udata[27]!=="wizard"){
echo"К Священнику заката могут войти только маги, повелители тьмы.";
include_once"inclydings/down.php"; exit;}
echo"<b>История семи печатей</b><br/>
Семь печатей проходят каждую ниделю с Понедельника по Субботу включительно.<br/>";

$file=@file("L2dbnam/esql2db/rassvet.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
echo"<br/><img src='pik4erspic/mini/injan.gif' witdh=16 height=16 alt='pic'/> <a href=\"rassvet.php?$sd&go=sdat\">Сдать Beast Bone</a><br/>";
$start="no";
}}if(empty($start)){
echo"<br/><img src='pik4erspic/mini/injan.gif' witdh=16 height=16 alt='pic'/> <a href=\"rassvet.php?$sd&go=start\">Участвовать</a><br/>";
}
echo"<img src='pik4erspic/mini/injan.gif' witdh=16 height=16 alt='pic'/> <a href=\"rassvet.php?$sd&go=about\">О Семи печатей</a><br/>
<img src='pik4erspic/mini/injan.gif' witdh=16 height=16 alt='pic'/> <a href=\"rassvet.php?$sd&go=top\">Участники</a><br/><br/>";
echo"<img src='pik4erspic/mini/injan.gif' witdh=16 height=16 alt='pic'/> <a href=\"rassvet.php?$sd&go=obmens\">Обмен древних аден</a><br/>";
echo"<img src='pik4erspic/mini/injan.gif' witdh=16 height=16 alt='pic'/> <a href=\"rassvet.php?$sd&go=shops\">Магазин за древние адены</a><br/>";


break;

case 'about':


echo"История семи печатей, это небольшой Конкурс для игроков которые смогут боротся за призовые места. Семь печатей проходят каждую ниделю с Понедельника по Субботу включительно. За это время игроки в окрестностях могут выбивать с монстров Beast Bone,каждую ниделю нужно сдавать Beast Bone, кто насоберает больше всего Beast Bone тот и побидитель.";


break;

case 'start':

$date=date("D");

if($date=="Sun"){echo"Сегодня История семи печатей не проводится. Заходите в понедельник."; include_once"inclydings/down.php"; exit; }


$text="$log||0||";

$fp=fopen("L2dbnam/esql2db/rassvet.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);







echo"<b>Начало Конкурса</b><br/>
Спеши стать лучшим,беги скорее в окрестности и выбивай с монстов Beast Bone.У тебя есть время до Суботы,если ты сумеешь набить больше всех Beast Bone Тебе будет вознаграждение";


break;

case 'sdat':
$date=date("D");

if($date=="Sun"){echo"Сегодня История семи печатей не проводится. Заходите в понедельник."; include_once"inclydings/down.php"; exit; }


$file=@file("L2dbnam/esql2db/rassvet.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){

$file2=@file("L2dbnam/esql2db/item/$log.dat");
$total2=count($file2);
for($i2=0; $i2<$total2; $i2++){
$data2=explode(":||:",$file2[$i2]);

if($data2[4]=="Beast Bone"){

$_GLOBAL[kol]=$data2[3];

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);

}}

$koll=$data[1];
$all=$_GLOBAL[kol]+$koll;

$text="$log||$all||";

$fp=fopen("L2dbnam/esql2db/rassvet.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/rassvet.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }}
echo"Вы сдали всего Beast Bone: $all";

break;

case 'top':
echo"<b>Участники семи печатей</b></br></br>";


$file=@file("L2dbnam/esql2db/rassvet.dat");
$total=count($file);
if(@file("L2dbnam/esql2db/rassvet.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{

$data_screen[]='<a href="search.php?nick='.$data_log[$k].'&'.$sd.'&go=go">'.$data_log[$k].'</a><br/>Собрал Beast Bone: '.$data_kol[$k].'<br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<br/>Всего участников: $total";}else{echo"Участников нет.";}
break;


case'obmen':
if($udata[74]=="Пусто"){echo'У вас нету <img src="pik4erspic/mini/pe4.png" alt="pic"/><br/>';include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
echo" 1 <img src='pik4erspic/mini/pe4.png' alt='pic'/> = 10,000 <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/>
У вас $udata[74] <img src='pik4erspic/mini/pe4.png' alt='pic'/><br/><br/>";
echo "<form action=\"rassvet.php?$sd&go=sps\" method=\"post\">Сколько:<br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"25\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Обменять" /></form>';

break;

case'sps':
if(eregi("[^0-9]",$logi)){echo"Вводите число, а не буквы/Символы!"; include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
if($logi>$udata[74]) {
echo"У вас нет $logi <img src='pik4erspic/mini/pe4.png' alt='pic'/>."; include_once "inclydings/down.php"; exit;}
if($logi<"1") {echo"Вы ничего не ввели";include_once "inclydings/down.php"; exit;}
$cena=10000*$logi;
$cena = number_format($cena);
echo"Вы согласны обменять $logi <img src='pik4erspic/mini/pe4.png' alt='pic'/> на $cena <img src='pik4erspic/mini/aden.gif' alt='pic'/>?<br/>";
echo" <a href=\"rassvet.php?$sd&go=da1&coin=$logi\">Да</a> | <a href=\"rassvet.php?$sd\">Нет</a><br/>";

break;

case'da1':
$logi = htmlspecialchars(stripslashes($logi));

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($coin<0){echo"Нельзя вводить минусовые значения"; include 'inclydings/down.php'; exit;}
if($udata[74]<$coin) {
echo"У вас нет $coin <img src='pik4erspic/mini/pe4.png' alt='pic'/>."; include_once "inclydings/down.php"; exit;}
$kol=10000*$coin;
$udata[74]=$udata[74]-$coin;
$udata[8]=$udata[8]+$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$cena = number_format($kol);
echo"Вы успешно обменяли $coin <img src='pik4erspic/mini/pe4.png' alt='pic'/> на $cena <img src='pik4erspic/mini/aden.gif' alt='pic'/>!<br/>";
echo"<a href=\"rassvet.php?$sd\">- Продолжить</a>";

break;


case'obmens':
if($udata[74]=="Пусто"){echo'У вас нету <img src="pik4erspic/mini/pe4.png" alt="pic"/><br/>';include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
echo" 1 <img src='pik4erspic/mini/pe4.png' alt='pic'/> = 10,000 <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/>
У вас $udata[74] <img src='pik4erspic/mini/pe4.png' alt='pic'/><br/><br/>";
echo "<form action=\"rassvet.php?$sd&go=spss\" method=\"post\">Сколько:<br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"25\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Обменять" /></form>';

break;

case'spss':
if(eregi("[^0-9]",$logi)){echo"Вводите число, а не буквы/Символы!"; include_once"inclydings/down.php"; exit;}
$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
if($logi>$udata[74]) {
echo"У вас нет $logi <img src='pik4erspic/mini/pe4.png' alt='pic'/>."; include_once "inclydings/down.php"; exit;}
if($logi<"1") {echo"Вы ничего не ввели";include_once "inclydings/down.php"; exit;}
$cena=10000*$logi;
$cena = number_format($cena);
echo"Вы согласны обменять $logi <img src='pik4erspic/mini/pe4.png' alt='pic'/> на $cena <img src='pik4erspic/mini/aden.gif' alt='pic'/>?<br/>";
echo" <a href=\"rassvet.php?$sd&go=da2&coin=$logi\">Да</a> | <a href=\"rassvet.php?$sd&go=1\">Нет</a><br/>";

break;

case'da2':
$logi = htmlspecialchars(stripslashes($logi));

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
if($coin<0){echo"Нельзя вводить минусовые значения"; include 'inclydings/down.php'; exit;}
if($udata[74]<$coin) {
echo"У вас нет $coin <img src='pik4erspic/mini/pe4.png' alt='pic'/>."; include_once "inclydings/down.php"; exit;}
$kol=10000*$coin;
$udata[74]=$udata[74]-$coin;
$udata[8]=$udata[8]+$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$cena = number_format($kol);
echo"Вы успешно обменяли $coin <img src='pik4erspic/mini/pe4.png' alt='pic'/> на $cena <img src='pik4erspic/mini/aden.gif' alt='pic'/>!<br/>";
echo"<a href=\"rassvet.php?$sd&go=1\">- Продолжить</a>";

break;
case 'shops':
$dir = opendir ("L2dbnam/esql2db/shop/drevnaden");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);


for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/shop/drevnaden/$a[$i]");
$data = explode(":||:",$tex[0]);

$a[$i]=str_replace(".dat","",$a[$i]);

{
if($data[3]=="NG"){
$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]="S";
$dat_name[]=$data[4];}
}
}
foreach($dat_name as $k=>$v)
{
$gr[]=$dat_gr[$k];
$dat_screen[]="<img src=\"pik4erspic/drevnaden/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"pokupkadraden.php?$sd&vesh=$dat_id[$k]&gorod=$udata[20]\">$dat_name[$k]</a><br/>Цена: <img src='pik4erspic/mini/pe4.png' alt='pic'/> ".number_format($dat_cena[$k])." <br/>";
}
$total = count($dat_screen);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
echo"$dat_screen[$i]";

}
if ($start !== 0) {echo '<a href="rassvet.php?start='.($start - 10).'&'.$sd.'&go=shops">Назад</a>';}
if ($total > $start + 10) {echo '<a href="rassvet.php?start='.($start + 10).'&'.$sd.'&go=shops">Далее</a>';}



echo"<br/><br/><li><a href=\"rassvetfaq.php?$sd\">Информация о вещах</a><br/>";

break;

}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>